Evaluate Project Feature Flags

POST
/api/v1/feature-flags/evaluate

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

distinctId?string|null
email?string|null
externalIds?array<string>|null
keys?array<string>|null
personId?string|null
projectId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/feature-flags/evaluate" \  -H "Content-Type: application/json" \  -d '{}'
{  "flags": [    {      "enabled": true,      "key": "string",      "payload": null,      "variantKey": "string"    }  ]}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/FeatureFlagServiceError",  "cause": "string"}